package itcr.mathexplorer.paneles;

import java.awt.*;
import javax.swing.*;

/**
 *@(#)ScrollPanelExpresiones.java
 *
 *Este es el JScrollPane donde se coloca el panel con las expresiones.
 *
 *@author Alexander Borbón Alpízar
 */
public class ScrollPanelExpresiones extends JScrollPane{
	static final long serialVersionUID=10006;
	
	//CONSTRUCTORES
	/**
	 * Constructor vacío del Panel de Expresiones con Scroll
	 */
	public ScrollPanelExpresiones(){
		super();
		this.getHorizontalScrollBar().setUnitIncrement(30);
		this.getVerticalScrollBar().setUnitIncrement(30);
	}

	public void paintComponent(Graphics g){
		super.paintComponent(g);
		
		this.getVerticalScrollBar().setValue(this.getVerticalScrollBar().getMaximum());
	}

}//fin de PanelExpresiones